#!/usr/bin/perl
 
#*******************************************
#Quirky Wisconsin Ecards - Colleen Koranda
#CS 460 - Senior Capstone Experience
#St. Norbert College
#Perl
#May 2, 2005
#*******************************************
#admindelete.pl: gets the current date
#and goes through each file of the current
#directory and deletes files that have an ID
#more than 15 days old.  Deleted files
#are recorded in log.txt
#Sections of this code are taken from CS 322
#with Professor Blahnik.
#*******************************************
 
use Cwd;
use File::Find;
use POSIX qw(ceil floor); #floor fcn
require "sublog.lib";
 
#save current date
$curdate = floor (time() / 86400);
#print $curdate;
 
$curDir = cwd();  # save current working directory
 
# recursivily search all directories from starting
# directory (2nd parameter)
find(\&sub1, ".");  #  "."  current dir.
 
sub sub1 {
#*********************************************************************
#   Called recursivley from the main for each file in a directory.
#   Entered with 'next' file in default variable: $_
#   See:    find(\&sub1, ".");   "." is the current directory
#*********************************************************************
 
   #   Insure still in original working dir
   if ($curDir ne cwd() ) {return}
 
   $fullname = cwd() . "/" . $_;
   $fname = $_;
 
   if (-d $fname) {return}  # exit if a directory
 
   #print "$fname\n";
   if ($fname =~m /\d+-\d+\.(jpg|txt|msg)$/){
      ($id1, $temp) = split(/-/,$fname);
      ($date, $temp1) = split(/\.(jpg|txt|msg)/,$temp);
 
 
      #expiration date = $date + 15 days
      $exp = $date + 15;
 
      if ($exp < $curdate){
          #print "Deleting $fname \n";
          &Log (" $fname deleted");
          system("rm $fname");
      }
   }
}
